Bug 958908 - autogen fails to generate man pages
Summary: autogen fails to generate man pages
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: autogen
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Lichvar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-05-02 16:01 UTC by Miroslav Lichvar
Modified: 2013-08-08 11:36 UTC (History)
2 users (show)

Fixed In Version: autogen-5.18-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-08 11:36:05 UTC
Type: Bug


Attachments (Terms of Use)

Description Miroslav Lichvar 2013-05-02 16:01:10 UTC
Description of problem:
The ntp package uses autogen to generate man pages and it now seems to fail. It could be caused by the update to guile2.

From build log:
cd . && env PATH="/builddir/build/BUILD/ntp-4.2.6p5/ntpd:/usr/local/sbin:/usr/bin:/bin:/usr/sbin:/sbin:/builddir/.local/bin:/builddir/bin" autogen -L ../include --writable -Tagman1.tpl -bntpd ntpd-opts.def
ice-9/psyntax.scm:1259:12: In procedure dobody:
ice-9/psyntax.scm:1259:12: Syntax error:
/usr/share/autogen/agman1.tpl:187:6: definition in expression context, where definitions are not allowed, in form (define optname-from "_^")
Scheme evaluation error.  AutoGen ABEND-ing in template
        /usr/share/autogen/agman1.tpl on line 179
Failing Guile command:  = = = = =

(define opt-arg      "")
(define dis-name     "")
(define opt-name     "")
(define optname-from "A-Z_^")
(define optname-to   "a-z--")
(if (exist? "preserve-case")
   (begin
      (define optname-from "_^")
      (define optname-to   "--")
)  )
(if (exist? "option-info")
    (string-append "\n.PP\n" (get "option-info") "\n") )

=================================
make[1]: *** [ntpd.1] Error 2
make[1]: Leaving directory `/builddir/build/BUILD/ntp-4.2.6p5/ntpd'
make: *** [all] Error 2


Version-Release number of selected component (if applicable):
autogen-5.12-5.fc20.x86_64

How reproducible:
Always

Steps to Reproduce:
1. try to rebuild ntp-4.2.6p5-11 (http://kojipkgs.fedoraproject.org//packages/ntp/4.2.6p5/11.fc20/src/ntp-4.2.6p5-11.fc20.src.rpm)
  
Actual results:
fail

Comment 1 Bruce Korb 2013-07-02 15:23:34 UTC
This form used to be acceptable guile.  However, it violated R4R5 (whatever that is), so it has been made illegal.  This was fixed years ago.  Please upgrade.

Comment 2 Fedora Admin XMLRPC Client 2013-08-07 16:16:32 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.


Note You need to log in before you can comment on or make changes to this bug.